#!/bin/sh

BIN_DIR=/app
MASTERS=10.10.100.1:9333 # Need an odd number #,10.10.100.21:9333
NODE_IP=$(/app/nebula-cert print -path /etc/nebula/host.crt -json | jq -r '.details.ips[0] | split("/")[0]')

mkdir /storage/raw

if test "${LIGHTHOUSE}" == "true"; then
    ${BIN_DIR}/weed master -mdir=/storage/raw -peers=${MASTERS} -ip="${NODE_IP}" &
else
    mkdir /storage/filer
    ${BIN_DIR}/weed volume -dir=/storage/raw -mserver=${MASTERS} -ip="${NODE_IP}" &
    ${BIN_DIR}/weed filer -master=${MASTERS} -ip="${NODE_IP}" -encryptVolumeData &
    # ${BIN_DIR}/weed filer.remote.sync -dir=/test/ &

    ${BIN_DIR}/weed mount -dir=/data -dirAutoCreate &
    ${BIN_DIR}/weed mount -dir=/test -dirAutoCreate -filer.path=/test/ &
fi

wait
